| Enum FileMappingMode Flags to define the mapping mode of mapFileSegment. Include Headers seqan/file.h Remarks The mapping mode must be compatible to the open mode of a FileMapping, e.g. MAP_RDWR is not allowed if the file mapping was opened with OPEN_RDONLY. Functions
mapFileSegment | Map a segment of a file into memory.
Values
MAP_COPYONWRITE | Write accesses are not written back to file and not shared among different mappings.
MAP_RDONLY | Map the segment in read-only mode.
MAP_RDWR | Map the segment for reading and writing.
MAP_WRONLY | Map the segment in write-only mode.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57